package body MSHTML.IDOMFocusEvent_Object is

   function Get_relatedTarget
     (This : IDOMFocusEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IDOMFocusEvent_Get_relatedTarget);
   end Get_relatedTarget;

   procedure initFocusEvent
     (This             : IDOMFocusEvent_Type;
      eventType        : GNATCOM.Types.VARIANT;
      canBubble        : GNATCOM.Types.VARIANT;
      cancelable       : GNATCOM.Types.VARIANT;
      view             : GNATCOM.Types.VARIANT;
      detail           : GNATCOM.Types.VARIANT;
      relatedTargetArg : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
   is
   begin
      Invoke
        (This,
         IDOMFocusEvent_initFocusEvent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => relatedTargetArg,
          2 => detail,
          3 => view,
          4 => cancelable,
          5 => canBubble,
          6 => eventType),
         Free);
   end initFocusEvent;

end MSHTML.IDOMFocusEvent_Object;

